# OpenStack

# Python bindings to the Aodh API

This is a client for Aodh API. There’s a Python API (the `aodhclient` module), and a command-line script (installed as aodh). Each implements the entire Aodh API.

Warning

This is a new client to interact with Aodh API. There may be differences in functionality, syntax, and command line output when compared with the alarm functionality provided by ceilometerclient.

See also

You may want to read the Aodh Developer Guide – the overview, at least – to get an idea of the concepts. By understanding the concepts this library should make more sense.

Contents:

- Installation
- The aodh shell utility
  - Examples
- The `aodhclient` Python API
  - Usage
  - Reference
- Contributing

# Indices and tables

- Index
- Module Index
- Search Page